Skip to main content
GET
Get voice agent details
Keep returned credentials private.

Authorizations

Authorization
string
header
required

API key in the format: Bearer YOUR_KARTA_API_KEY.

Headers

X-Request-ID
string

Optional request-tracing identifier.

Path Parameters

agent_id
string
required

Voice agent ID returned by List agents; underscores are not supported.

Response

Successful response.

Voice agent configuration.

agentId
string | null

Agent identifier

customerDetails
CustomerDetails · object

Customer configuration

languageConfig
LanguageConfig · object

Language configuration

languageDefaultsConfig
LanguageDefaults · object | null

Optional per-language default message configuration

agentDetails
AgentDetails · object

Agent details configuration

welcomeMessageConfig
WelcomeMessageConfig · object | null

Welcome message behaviour configuration

STTConfigs
STTConfigEntry · object[]

List of STT provider configurations for this agent

agentVoiceConfigs
AgentVoiceConfig · object[]

List of voice configurations for this agent

experimental
Experimental · object

Experimental feature flags

pronunciationDictionaryConfigs
PronunciationDictionaryConfig · object | null

Pronunciation dictionary config with rules and provider metadata

LLMConfigs
LLMPConfigEntry · object[]

List of LLM provider configurations for this agent

ToolsConfig
ToolConfigEntry · object[]

List of tool configurations available to the agent

CustomToolsConfig
CustomToolConfig · object[]

List of custom tool configurations available to the agent

inboundWebhookConfigs
InboundWebhookConfig · object[]

List of inbound webhook configurations for the agent

SpeechConfigs
SpeechConfigEntry · object

Speech configurations for this agent

turnDetectionConfigs
TurnDetectionConfigEntry · object

Turn detection configurations for this agent

PostCallAnalysisConfigs
PostCallAnalysisConfigEntry · object[]

List of post call analysis configurations for this agent

voicemailDetectionConfig
VoicemailDetectionConfigEntry · object

Voicemail detection configuration for this agent

agentKBConfig
AgentKBConfigEntry · object

Knowledge base configuration for this agent

agentContextConfig
AgentContextConfigEntry · object

Agent context configuration for this agent

intentConfig
IntentConfigEntry · object

Intent identification and escalation configuration

widgetConfig
WidgetConfig · object | null

Widget configuration for the agent

useNumberPool
boolean
default:false

Use a random eligible caller ID for outbound calls

createdAt
string<date-time> | null

Creation timestamp

updatedAt
string<date-time> | null

Last update timestamp

postCallWorkFlow
Postcallworkflow · object[] | null

List of post call workflow configurations for this agent